#define LASER_PIN 4
#define BUTTON_PIN 7

void setup() {
  pinMode(LASER_PIN, OUTPUT);
  pinMode(BUTTON_PIN, INPUT);
}

void loop() {
  if (digitalRead(BUTTON_PIN)) {
    digitalWrite(LASER_PIN, !digitalRead(LASER_PIN));
    delay(200);
  }
}
